$color_1: #B6C3CC;
$color_2: #fff;
$color_3: #FE6016;
$color_4: #2A4555;
$font-family_1: Arial, sans-serif;
$font-family_2: 'Work Sans', sans-serif;
$font-family_3: 'Libre Franklin', sans-serif;
$background-color_1: #2A4555;
$background-color_2: #FE6016;
$background-color_3: #fff;
$background-color_4: rgba(255, 255, 255, 0.7);
$background-color_5: #f0f0f0;

@import "https://fonts.googleapis.com/css2?family=Libre+Franklin:wght@200;300;400;500;600&family=Work+Sans:wght@200;300;400;500;600&display=swap";
body {
  font-family: $font-family_1;
  background-color: $background-color_1;
}
.container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  gap: 20px;
  margin: 0 auto;
  padding: 20px;
  max-width: 1425px;
  input, select {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: none;
    border-radius: 10px;
    background: rgb(21 35 44 / 60%);
    backdrop-filter: blur(10px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    height: 40px;
    color: $color_1;
    font-size: 14px;
    font-family: $font-family_2;
  }
  button {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: none;
    border-radius: 10px;
    background: rgb(21 35 44 / 60%);
    backdrop-filter: blur(10px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    color: $color_1;
    font-size: 14px;
    font-family: $font-family_2;
    background-color: $background-color_2;
    color: $color_2;
    cursor: pointer;
    border-radius: 0;
    font-family: $font-family_3;
    font-weight: 500;
    text-transform: uppercase;
    font-size: 18px;
    width: 50%;
    transition: all ease-in-out 0.2s;
    &:hover {
      background-color: $background-color_3;
      color: $color_3;
      transition: all ease-in-out 0.2s;
    }
  }
  label {
    display: block;
    margin-bottom: 10px;
    color: $color_1;
    font-weight: 600;
    font-size: 14px;
    font-family: $font-family_2;
  }
  pre {
    background-color: $background-color_4;
    backdrop-filter: blur(10px);
    border: 1px solid #21252B;
    padding: 15px;
    text-align: left;
    overflow: auto;
    border-radius: 10px;
    max-height: 700px;
    max-width: 550px;
  }
}
.button-row {
  display: flex;
  justify-content: space-between;
  button {
    margin-right: 10px;
    &:last-child {
      margin-right: 0;
    }
  }
}
.row {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  max-width: 800px;
  width: 90vw;
}

.header-container {
  display: flex;
  flex-direction: column;

  .auto-switch-container {
    display: flex;
    flex-direction: row;
    max-width: 340px;
    align-items: center;
    position: relative;

    @media (min-width: 768px) {
      bottom: -15px;
    }

    .auto-switch {
      margin-top: 7px;
    }

    h2 {
      color: #fff;
      font-family: $font-family_3;
      font-size: 17px;
      margin-right: 40px;
    }
  }

  @media (min-width: 768px) {
    flex-direction: row;
    justify-content: space-between;
  }
}
.keywordGroup {
  border-bottom: 1px solid rgba(182, 195, 204, 0.6);
  padding: 30px 0;
  flex-direction: row;
  margin-bottom: 30px;
  &:first-of-type:not(:last-of-type) {
    border-top: 1px solid rgba(182, 195, 204, 0.6);
  }
  &:last-of-type {
    margin-bottom: 40px;
  }

  .left, .right {
    flex: 1;
    margin-right: 30px;
  }

  .right {
    margin-right: 0;

    p {
      font-size: 12px;
    }
  }
}
.col {
  flex: 1;
  margin-right: 10px;
  &:last-child {
    margin-right: 0;
  }
}
hr {
  border: none;
  border-bottom: 1px solid rgb(182 195 204 / 60%);
  margin: 20px 0 30px;
}
.navbar-brand {
  display: flex;
  align-items: center;
  text-indent: -999px;
  position: relative;
  z-index: 99;
  overflow: hidden;
  width: 220px;
  height: 36.5px;
  margin: 20px;
  .symbol {
    display: block;
    background: url('https://www.dmipartners.com/assets/images/general/logo-symbol.png') center center no-repeat;
    background-size: contain;
    width: 35px;
    height: 36.5px;
  }
  .copyline {
    display: block;
    background: url('https://www.dmipartners.com/assets/images/general/logo-copy.png') center center no-repeat;
    background-size: contain;
    height: 36.5px;
    width: 185px;
  }
}
h1 {
  color: $color_2;
  font-family: $font-family_3;
  font-size: 30px;
  margin-bottom: 5px;
}
p {
  color: $color_2;
  font-size: 16px;
}
.dropzone {
  border: 5px dashed $color_1;
  border-radius: 4px;
  padding: 20px;
  text-align: center;
  cursor: pointer;
  transition: all ease-in-out 0.4s;
}
.filePresent {
  border: 5px solid #cdeac3;
  transition: all ease-in-out 0.4s;
  background-color: rgb(124 172 109 / 87%);

  p {
    font-weight: 700;
  }
}

.floatingButton {
  position: fixed;
  bottom: 0;
  right: 30px;

  button {
    width: 75px;
    border-radius: 50%;
    height: 75px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;

    .plus, .newGroup {
      transition: opacity 0.3s ease; // Smooth transition for the opacity
    }

    .plus {
      margin-left: 12px;
      font-size: 2.5rem;
      line-height: 0;
      opacity: 1
    }

    .newGroup {
      opacity: 0;
      position: absolute;
      left: 0;
      top: 0;
      right: 0;
      bottom: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 1rem;
      font-weight: 800;
      font-family: $font-family_2;
    }

    &:hover {
      .plus {
        opacity: 0; // Hide the plus on hover
      }

      .newGroup {
        opacity: 1; // Show the New Group text on hover
      }
    }
  }
}

.tgl {
  display: none;

  &,
  &:after,
  &:before,
  & *,
  & *:after,
  & *:before,
  & + .tgl-btn {
    box-sizing: border-box;
    &::selection {
      background: none;
    }
  }

  + .tgl-btn {
    outline: 0;
    display: block;
    width: 4em;
    height: 2em;
    position: relative;
    cursor: pointer;
    user-select: none;
    &:after,
    &:before {
      position: relative;
      display: block;
      content: "";
      width: 50%;
      height: 100%;
    }

    &:after {
      left: 0;
    }

    &:before {
      display: none;
    }
  }

  &:checked + .tgl-btn:after {
    left: 50%;
  }
}

.tgl-skewed {
  + .tgl-btn {
    overflow: hidden;
    transform: skew(-10deg);
    backface-visibility: hidden;
    transition: all .2s ease;
    font-family: sans-serif;
    background: #888;
    &:after,
    &:before {
      transform: skew(10deg);
      display: inline-block;
      transition: all .2s ease;
      width: 100%;
      text-align: center;
      position: absolute;
      line-height: 2em;
      font-weight: bold;
      color: #fff;
      text-shadow: 0 1px 0 rgba(0,0,0,.4);
    }

    &:after {
      left: 100%;
      content: attr(data-tg-on);
    }

    &:before {
      left: 0;
      content: attr(data-tg-off);
    }

    &:active {
      background: #888;
      &:before {
        left: -10%;
      }
    }
  }

  &:checked + .tgl-btn {
    background: #fe5f17;
    &:before {
      left: -100%;
    }

    &:after {
      left: 0;
    }

    &:active:after {
      left: 10%;
    }
  }
}

@media (min-width: 768px) {
  .container {
    flex-direction: column;
    align-items: center;
    flex-wrap: nowrap;
    h1 {
      font-size: 40px;
    }
  }
}
